Subject: Re: [PATCH] git-gui: Add option for changing the width of the commit message text box

From: "Shawn O. Pearce" <[email-masked]>
Date: Fri, 7 Mar 2008 21:00:26 -0500

Adam Pityszek <[email-masked]> wrote:
> The width of the commit message text area is currently hard-coded
> to 75 characters. This value might be not optimal for some projects.
> For instance users who would like to generate GNU-style ChangeLog
> file from git commit message might prefer commit messages of width
> no longer than 70 characters.
> 
> This patch adds a global and per repository option "Commit Message
> Text Width", which could be used to change the width of the commit
> message text area.

Thanks.
 
> Ideally, I would like to have an automated line wrapping in the commit
> message text area. Unfortunately the "-wrap words" switch only wraps the
> lines for displaying purposes and this has no effect on the committed message
> itself.
 
Yea, I fought with that myself for a while and just settled on
a 75 character wide text area.

-- 
Shawn.